package com.diagbot.web;


import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ServiceTokenFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * <p>
 * 服务令牌表 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
@Controller
@RequestMapping("/serviceToken")
public class ServiceTokenController {

    @Autowired
    ServiceTokenFacade serviceTokenFacade;


    @RequestMapping("/hasPermisson")
    public RespDTO<Boolean> hasPermission(String appkey, String secret, Long productId) {
        return serviceTokenFacade.hasPermisson(appkey, secret, productId);
    }

}

