package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @author wangfeng
 * @Description: 用于修改用户信息及机构信息
 * @date 2018年9月18日 下午3:06:58
 */
public class UserInfoOrganizations implements Serializable {
	
	  private String isDeleted;//删除
	  private Date gmtModified;//修改时间
	  private String modifier;//修改人id
	  private String email;//邮箱
	  private String principal;//负责人
	  private String address;//单位地址
	  private Integer type;//机构属性
	  private String position;//岗位部门
	  private String isReject;//是否通过认证 N:未通过，Y:已通过
	  private Integer rejectType;//未通过类型
	  private String rejectComment;//认证被拒理由
	  private String status;//认证状态（0：未认证，1：已认证，2：认证中）
	  private Long userId;//用户id
	public String getIsDeleted() {
		return isDeleted;
	}
	public void setIsDeleted(String isDeleted) {
		this.isDeleted = isDeleted;
	}
	public Date getGmtModified() {
		return gmtModified;
	}
	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getPrincipal() {
		return principal;
	}
	public void setPrincipal(String principal) {
		this.principal = principal;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}
	public String getIsReject() {
		return isReject;
	}
	public void setIsReject(String isReject) {
		this.isReject = isReject;
	}
	public Integer getRejectType() {
		return rejectType;
	}
	public void setRejectType(Integer rejectType) {
		this.rejectType = rejectType;
	}
	public String getRejectComment() {
		return rejectComment;
	}
	public void setRejectComment(String rejectComment) {
		this.rejectComment = rejectComment;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Long getUserId() {
		return userId;
	}
	public void setUserId(Long userId) {
		this.userId = userId;
	}
	@Override
	public String toString() {
		return "UserInfoOrganizations [isDeleted=" + isDeleted + ", gmtModified=" + gmtModified + ", modifier="
				+ modifier + ", email=" + email + ", principal=" + principal + ", address=" + address + ", type=" + type
				+ ", position=" + position + ", isReject=" + isReject + ", rejectType=" + rejectType
				+ ", rejectComment=" + rejectComment + ", status=" + status + ", userId=" + userId + "]";
	}
	  
	  

}
