package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.User;
import com.diagbot.entity.UserInfo;
import com.diagbot.entity.UserInfoOrganizations;
import com.diagbot.mapper.UserMapper;
import com.diagbot.service.UserService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {

    public User findByName(String username){
        return baseMapper.findByName(username);
    }

    @Override
    public IPage<User> selectUserListPage(Page<User> page, User user) {
        return baseMapper.selectUserListPage(page, user);
    }
    @Override
    public IPage<UserInfo>  selectUserInfoListPage(Page<UserInfo> page,UserInfo userInfo){
    	return baseMapper.selectUserInfoListPage(page, userInfo);
    	
    }

	@Override
	public Integer  updateUserInfoAll(UserInfoOrganizations userInfo) {
		return baseMapper.updateUserInfoAll(userInfo);
		
	}
}
