package com.diagbot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.AuthDetailDTO;
import com.diagbot.entity.ProductOrder;

/**
 * <p>
 * 订单表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface ProductOrderMapper extends BaseMapper<ProductOrder> {
	
	List<ProductOrder> getUserProductOrder(Long userId);
	
	List<AuthDetailDTO> getOrderDetails(String orderNum);

}
