package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.entity.ServiceFilter;
import com.diagbot.facade.ServiceFilterFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description: 产品服务过滤
 * @Author: ztg
 * @Date: 2018/9/18 14:40
 */
@RestController
@RequestMapping("/service_filter")
public class ServiceFilterController {

    @Autowired
    ServiceFilterFacade serviceFilterFacade;

    @RequestMapping("/getAll")
    public RespDTO<List<ServiceFilter>> getServiceFilter() {
        return serviceFilterFacade.getAll();
    }




}

