package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.User;
import com.diagbot.entity.UserInfo;
import com.diagbot.entity.UserInfoOrganizations;

import javafx.scene.control.Pagination;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
public interface UserService extends IService<User> {

    User findByName(String username);

    IPage<User> selectUserListPage(Page<User> page, User user);
    
    public IPage<UserInfo>  selectUserInfoListPage(Page<UserInfo> page,UserInfo userInfo);
    
    public Integer updateUserInfoAll(UserInfoOrganizations userInfo);
}
